/***********************************************************************
 *      This example program is an excerpt from the book:              *
 *                                                                     *
 *          X Window OSF/Motif Toolkit Programming (I)                 *
 *            - Programming Basics, Resource and Event -               *
 *                                                                     *
 *      Copyright 1994, Hideyuki Hayashi                               *
 *                                                                     *
 *      This program can be distributed without fee, provided          *
 *      that the above copyright notice appear in all copies.          *
 ***********************************************************************/

#include <Xm/XmAll.h>

main(argc, argv)
    int argc;
    char **argv;
{
    XtAppContext app_context;
    Widget toplevel, rowcol, labels[4];
    static char *names[] = {"label0", "label1", "label2", "label3"};
    Arg al[20];
    int ac, i;

    XtSetLanguageProc(NULL, NULL, NULL);
    ac = 0;
    toplevel = XtAppInitialize(&app_context, "Resintro", NULL, 0,
                               &argc, argv, NULL, al, ac);
    ac = 0;
    rowcol = XmCreateRowColumn(toplevel, "rowcol", al, ac);
    XtManageChild(rowcol);

    for (i = 0; i < 4; i++) {    /* Create four labels */
        ac = 0;
        labels[i] = XmCreateLabel(rowcol, names[i], al, ac);
    }
    XtManageChildren(labels, 4);

    /* Set resouce XmNbackground only for label3 in program */
    XtVaSetValues(labels[3],
             XtVaTypedArg, XmNbackground,  XmRString, "red", strlen("red")+1,
             NULL);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(app_context);
}
